slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSPowerSetShiftType

Sets the type of shifts used during the power iteration. This can be used to emulate the Rayleigh Quotient Iteration (RQI) method.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerSetShiftType(EPS eps,EPSPowerShiftType shift)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| shift | - the type of shift

### Options Database Key

| -eps_power_shift_type | - Sets the shift type (either 'constant' or 'rayleigh' or 'wilkinson')

### Notes

By default, shifts are constant (EPS_POWER_SHIFT_CONSTANT) and the iteration is the simple power method (or inverse iteration if a shift-and-invert transformation is being used).

A variable shift can be specified (EPS_POWER_SHIFT_RAYLEIGH or EPS_POWER_SHIFT_WILKINSON). In this case, the iteration behaves rather like a cubic converging method such as RQI.

### See Also

EPSPowerGetShiftType(), STSetShift(), EPSPowerShiftType

### Level

advanced

### Location

src/eps/impls/power/power.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages